nav{
    /* --header-height: 60px; */
    position: sticky;
    z-index: 1;
    top:0;
    height: var(--header-height);
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    /* align-items: baseline; */
    background-color: white;
    padding: 8px 16px;
    gap:8px;
}
nav .logo-text{
    display : inline-block;
    margin-right: auto;
}

#logo-area{
    display: flex;
    flex-direction: row;
    gap: 16px;
    flex: 0 0 0px;
}

#logo-area .logo-text{
    align-self: center;
    font-size: 24px;
    /* text-decoration: underline; */
    color: #696969
}

nav .search{
    max-width: 600px;
    flex: 1;
    background-color: hsl(0,0%,95%);
    border-radius: 8px;
    border:0px;
    display: flex;
    flex-direction: row;
    padding: 8px;
    gap: 8px;
}

nav .search input{
    height: 100%;
    border: 0px;
    background-color: transparent;
    padding: 8px;
    flex: 1;
    font-size: medium;
}
nav .search input:focus{
    outline: none;
}

nav .search-btn{
    background-color: transparent;
    border-radius: 50%;;
    border: 0px;
    flex: 0;
    display: relative;
}

nav .search-icon{
    height:70%;
    display: absolute ;
    inset: 0;
    margin: auto;
}

.nav-link{
    align-self: center;
    font-size: medium;
    font-weight: bolder;
    margin-left:16px;
    color: #696969;
    text-decoration: none;

}
.nav-link:hover{
    color: #333333;
}

.nav-link--first{
    margin-left: 32px;
}
.nav-link--last{
    margin-right: auto;
}

nav .profile-info{
    height: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
}

.profile__logout{
    background-color: #64A57B;
    height: 80%;
    padding: 8px 16px;
    border-radius: 8px;
    inset: 0;
    margin:auto;
    width: fit-content;
    border: none;   
    color: white;
}

.profile-info__username{
    margin-right: 8px;
    display: block;
    height: fit-content;
    font-size: medium;
    font-weight: 600;
}

@media (max-width: 768px) {
    nav .profile-pic{
       display:none;
    }
    #logo-area{
        display: none;
    }
    nav{
        justify-content: center;
    }
}
